# WOK
TKWOK
MS

# MS_HSequenceOfPackage Class Reference

`#include <MS_HSequenceOfPackage.hxx>`

## Public Member Functions

| MS_HSequenceOfPackage ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(MS_Package)&anItem)
Standard_EXPORT void | Append (const Handle(MS_HSequenceOfPackage)&aSequence)
Standard_EXPORT void | Prepend (const Handle(MS_Package)&anItem)
Standard_EXPORT void | Prepend (const Handle(MS_HSequenceOfPackage)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_Package)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_HSequenceOfPackage)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_Package)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_HSequenceOfPackage)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_MS_HSequenceOfPackage | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(MS_Package)&anItem)
Standard_EXPORT const Handle_MS_Package & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_MS_Package & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const MS_SequenceOfPackage & | Sequence () const
MS_SequenceOfPackage & | ChangeSequence ()
Standard_EXPORT Handle_MS_HSequenceOfPackage | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MS_SequenceOfPackage | mySequence

## Constructor & Destructor Documentation

MS_HSequenceOfPackage::MS_HSequenceOfPackage | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void MS_HSequenceOfPackage::Append | ( | const Handle(MS_HSequenceOfPackage)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfPackage::Append | ( | const Handle(MS_Package)& | anItem | ) |

MS_SequenceOfPackage& MS_HSequenceOfPackage::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_MS_Package& MS_HSequenceOfPackage::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfPackage::Clear | ( |  | ) |

Standard_EXPORT void MS_HSequenceOfPackage::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const MS_HSequenceOfPackage::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MS_HSequenceOfPackage::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfPackage)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfPackage::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Package)& | anItem
| ) |

Standard_EXPORT void MS_HSequenceOfPackage::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfPackage)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfPackage::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Package)& | anItem
| ) |

Standard_Boolean MS_HSequenceOfPackage::IsEmpty | ( |  | ) | const

Standard_Integer MS_HSequenceOfPackage::Length | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfPackage::Prepend | ( | const Handle(MS_HSequenceOfPackage)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfPackage::Prepend | ( | const Handle(MS_Package)& | anItem | ) |

Standard_EXPORT void MS_HSequenceOfPackage::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void MS_HSequenceOfPackage::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfPackage::Reverse | ( |  | ) |

const MS_SequenceOfPackage& MS_HSequenceOfPackage::Sequence | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfPackage::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Package)& | anItem
| ) |

Standard_EXPORT Handle_MS_HSequenceOfPackage MS_HSequenceOfPackage::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_MS_HSequenceOfPackage MS_HSequenceOfPackage::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_MS_Package& MS_HSequenceOfPackage::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

MS_SequenceOfPackage MS_HSequenceOfPackage::mySequence `[private]`

The documentation for this class was generated from the following file:

- MS_HSequenceOfPackage.hxx